<template>
  <div class="main-footer-section bg-dark d-lg-flex" v-show="showSection">
    <div class="container">
      <div class="row">
        <div class="col col-12 col-lg-3 mb-3 mb-lg-0">
          <div class="row logo" @click="$router.push('/').catch(() => {})">
            <div class="col col-5 d-flex align-items-center">
              <img src="@/assets/img/logo_bsb.png" class="w-100" />
            </div>
            <div class="col col-7">
              <p class="fw-bolder text-light m-0">BIT</p>
              <p class="fw-bolder text-light m-0">STORAGE</p>
              <p class="fw-bolder text-light m-0">BOX</p>
              <a
                class="text-secondary fw-light text-decoration-none fs-6"
                style="font-family: 'Celias';"
                href="https://www.mybitbox.io"
                target="_blank"
                >www.mybitbox.io</a
              >
            </div>
          </div>
          <div class="row pe-5 pt-5 pb-5 pb-lg-0">
            <div class="col col-2 col-lg-3 d-flex align-items-center">
              <img src="@/assets/img/fb-white-icon.png" class="w-100" />
            </div>
            <div class="col col-2 col-lg-3 align-items-center d-flex">
              <img src="@/assets/img/yt-white-icon.png" class="w-100" />
            </div>
            <div class="col col-2 col-lg-3 align-items-center d-flex">
              <img src="@/assets/img/ins-white-icon.png" class="w-100" />
            </div>
            <div class="col col-2 col-lg-3 align-items-center d-flex">
              <img src="@/assets/img/twitter-white-icon.png" class="w-100" />
            </div>
          </div>
        </div>
        <div class="col-1 d-none d-lg-block"></div>
        <div class="col col-12 col-lg-8">
          <div class="row">
            <div class="col-12 col col-lg-6 pb-3 pb-lg-3">
              <div class="row">
                <div class="col col-6">
                  <a class="text-light d-block mb-3" href="http://bsbt2021.com/" target="_blank">About us</a>
                  <a
                    class="text-light d-block mb-3"
                    href="https://vi.bitcoinethereumnews.com/technology/bitstoragebox-announces-reward-platform-for-popular-quizzes-digital-asset-monetization-and-marketing/"
                    target="_blank"
                    >More information</a
                  >
                  <a class="text-light d-block mb-3" href="http://bsbt2021.com/" target="_blank"
                    >Career opportunities</a
                  >
                  <a class="text-light d-block mb-3" href="http://bsbt2021.com/" target="_blank"
                    >Business cooperation</a
                  >
                  <a class="text-light d-block mb-3" href="https://t.me/BSBT_official" target="_blank">Community</a>
                  <a class="text-light d-block mb-3" href="https://www.facebook.com/bitstorageboxtoken" target="_blank"
                    >BitStorageBox Blog</a
                  >
                </div>
                <div class="col col-6">
                  <a class="text-light d-block mb-3" href="http://bsbt2021.com/" target="_blank">Service</a>
                  <a class="text-light d-block mb-3" href="https://play.google.com/" target="_blank">Download</a>
                  <a class="text-light d-block mb-3" href="https://www.probit.kr/app/exchange/BSBT-KRW" target="_blank"
                    >Buy cryptocurrency</a
                  >
                  <a class="text-light d-block mb-3" href="https://etherscan.io/gastracker" target="_blank"
                    >Transaction fee</a
                  >
                  <a
                    class="text-light d-block mb-3"
                    href="https://www.facebook.com/bitstorageboxtoken/?ref=py_c"
                    target="_blank"
                    >Main privileges</a
                  >
                  <a
                    class="text-light d-block mb-3"
                    href="https://cryptonews.com.au/story/bitstoragebox-announces-reward-platform-for-popular-quizzes-digital-asset-154381"
                    target="_blank"
                    >Introduction</a
                  >
                </div>
              </div>
            </div>
            <div class="col-12 col col-lg-6 d-none">
              <p class="text-light">Sign Up For Our Reward</p>
              <div class="input-group mt-3">
                <input
                  type="text"
                  class="form-control"
                  placeholder="Your email address..."
                  aria-label="Your email address..."
                  aria-describedby="button-email"
                />
                <button class="btn btn-danger" type="button" id="button-email">SEND</button>
              </div>
            </div>
          </div>
        </div>
      </div>
      <div class="row mt-5">
        <p class="text-light text-center">
          Copyright @ 2021 <span class="fw-bold">BIT STORAGE BOX</span>. All right reserved
        </p>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  data() {
    return {
      showSection: true
    };
  },
  watch: {
    "$route"(to) {
      if (
        to &&
        to.path &&
        (to.path.includes("signin") ||
          to.path.includes("signup") ||
          to.path === "/coming-soon" ||
          to.path === "/error" ||
          to.path.includes("not-found"))
      ) {
        this.showSection = false;
        return;
      }
      this.showSection = true;
    }
  }
};
</script>

<style scoped>
.main-footer-section {
  padding: 100px 0 120px;
}
.main-footer-section .logo p {
  font-size: 26px;
}
.main-footer-section .logo img {
  filter: brightness(0) invert(1);
}
.main-footer-section a {
  text-decoration: none;
  cursor: pointer;
}
</style>
